#!/bin/bash

#数据库备份计划任务

#crontab -e 启用定时任务 ***** 分 时 日 月 周 
#0 3 * * * /var/www/html/database_mysql_backup.sh


DATE=date +%Y%m%d%H%M              #every minute
DATABASE=wordpress              #database name
DB_USERNAME=root                      #database username
DB_PASSWORD=”root”                    #database password
BACKUP_PATH=/home/robin/mysql_backup   #backup path

#backup command

/usr/bin/mysqldump -u$DB_USERNAME -p$DB_PASSWORD -h 127.0.0.1 -R –opt $DATABASE | gzip > ${BACKUP_PATH}\/${DATABASE}_${DATE}.sql.gz

#保留5天数据

find ${BACKUP_PATH} -mtime +5 -name“${DATABASE}_*.sql.gz” -exec rm -f {} \;

